#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Syncfusion.Pdf.DLS;
using Syncfusion.DLS;
using Syncfusion.Pdf.Shared ;

namespace FormatUsingStyles
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.CheckBox CheckBox1;
		protected System.Web.UI.WebControls.Button Button1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
            //Create a PDF document.
            PDFLogicDocument document = new PDFLogicDocument();

            //Formatting using Styles

            IPDFParagraphStyle style1 = document.AddStyle(StyleType.ParagraphStyle, "style1") as IPDFParagraphStyle;
            style1.CharacterFormat.FontSize = 20;
            style1.CharacterFormat.RenderMode = RenderMode.FillStroke;
            style1.CharacterFormat.WordSpace = 5;
            style1.CharacterFormat.TextColor = Color.FromArgb(222, 100, 19);

            IPDFParagraphStyle style2 = document.AddStyle(StyleType.ParagraphStyle, "style2") as IPDFParagraphStyle;
            style2.CharacterFormat.FontSize = 14;
            style2.CharacterFormat.RenderMode = RenderMode.Stroke;
            style2.CharacterFormat.HorizontalScaling = 100;
            style2.CharacterFormat.Strikeout = true;

            IPDFParagraphStyle style3 = document.AddStyle(StyleType.ParagraphStyle, "style3") as IPDFParagraphStyle;
            style3.CharacterFormat.SetFont(FontBaseFamily.TimesRoman, 14);

            IPDFSection section = document.AddSection();
            section.AddParagraph().AppendText("DLS styles");

            IPDFParagraph paragraph1 = section.AddParagraph();
            paragraph1.ApplyStyle("style1");

            IPDFTextRange text1 = paragraph1.AppendText("Using style1, TextSize = 20, WordSpace = 20, RenderMode.Stroke");
            text1.CharacterFormat.RenderMode = RenderMode.StrokeAdd;
            text1.CharacterFormat.WordSpace = 20;

            IPDFTextRange text2 = paragraph1.AppendText("Using style1, TextSize = 25, WordSpace = 5, RenderMode.FillStrokeAdd");
            text2.CharacterFormat.FontSize = 25;

            IPDFParagraph paragraph2 = section.AddParagraph();
            paragraph2.ApplyStyle("style2");

            IPDFTextRange text3 = paragraph2.AppendText("Using style2, FontSize = 10, HorizontalScaling = 50, RenderMode.Stroke, Strikeout = true");
            text3.CharacterFormat.FontSize = 10;
            text3.CharacterFormat.HorizontalScaling = 50;

            IPDFTextRange text4 = paragraph2.AppendText("Using style2, FontSize = 14, HorizontalScaling = 40, RenderMode.Stroke, Strikeout = false, TextLeading = 20");
            text4.CharacterFormat.Strikeout = false;
            text4.CharacterFormat.TextLeading = 20;
            text4.CharacterFormat.HorizontalScaling = 40;

            IPDFTextRange text5 = paragraph2.AppendText("Using stye2, FontSize = 14, HorizontalScaling = 100, RenderMode.Stroke, Strikeout = true");
            text5.CharacterFormat.RenderMode = RenderMode.Stroke;

            IPDFParagraph paragraph3 = section.AddParagraph();
            paragraph3.ApplyStyle("style3");

            IPDFTextRange text6 = paragraph3.AppendText("Using style3, Font = ArialMT, Bold, Italic, FontSize = 16");
            Font systemFont = new Font("ArialMT", 16, FontStyle.Bold | FontStyle.Italic);
            text6.CharacterFormat.SetFont(systemFont);

            IPDFTextRange text7 = paragraph3.AppendText("Using style3, Font = FontBaseFamily.TimesRoman, FontSize = 14, Strikeout = true");
            text7.CharacterFormat.Strikeout = true;

            IPDFTextRange text8 = paragraph3.AppendText("Using styel3, Font = FontBaseFamily.Symbol, FontSize = 20");
            text8.CharacterFormat.SetFont(FontBaseFamily.Symbol, 20);

			//Save as PDF.

			if(this.CheckBox1.Checked)
			{
				document.Save("Sample.pdf",Response,Syncfusion.Pdf.HttpReadType.Open);
			}
			else
			{
				document.Save("Sample.pdf",Response,Syncfusion.Pdf.HttpReadType.Save);
			}
 
		}
	}
}
